Subject: bug#70331: [PATCH] Call custom folding functions with consistent point

From: Arash Esbati <[email-masked]>
Date: Sun, 14 Apr 2024 15:42:12 +0200

Hi Paul,

Paul Nelson <[email-masked]> writes:

> I've generally been trying to remember to set fill-column to 63
> (following my interpretation of
> https://git.savannah.gnu.org/cgit/emacs.git/tree/CONTRIBUTE#n243), but
> guess I forgot here -- I suspect I used 70, which seems to be the
> default for me via magit or vc.el.  I suspect you meant to write 64
> rather than 74?

No, I meant 74 since I manually edit a ChangeLog file and then copy my
entries when commiting.  But in general, yes, the fill-column in Git
messages should be 64.

> Happy to hardcode mine to that (or whatever) so I won't forget.

We have a .dir-locals.el in our repo for this purpose.  I just updated
it with some entries from Emacs .dir-locals.el.  Do you want to update
your local repo and see if that gives you better results?  TIA.

Best, Arash